Xbench plugin - recommended version

Hello

we would like to ask you about correct version to use with SDL Trados Studio 2017 SR1

on your page you have version 3.0.14.b of Apsic Xbench plugin - https://appstore.sdl.com/language/app/apsic-xbench-plugin/354/

but on https://www.xbench.net/index.php/download there is version 3.0.14.g

may we know why the latest version is not on sdl download page?

is it not recommended by you to use it?

thanks for clarification

br

Zuzana Kopková
Network Administrator